Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2014-0060

CVE information

Published

8 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

PostgreSQL before 8.4.20, 9.0.x before 9.0.16, 9.1.x before 9.1.12, 9.2.x before 9.2.7, and 9.3.x before 9.3.3 does not properly enforce the ADMIN OPTION restriction, which allows remote authenticated members of a role to add or remove arbitrary users to that role by calling the SET ROLE command before the associated GRANT command..

CVSSv2.0 Score

Severity
Medium
Base Score
4/10
Exploit Score
8/10
Access Vector
Network
Access Complexity
Low
Authentication Required
Single
Impact Score
2.9/10
Confidentiality Impact
None
Availability Impact
None
Integrity Impact
Partial

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:postgresql:postgresql:8.4.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.18:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.2.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.2.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.15:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.14:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.15:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.16:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.2.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.14:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.1.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:9.2.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:postgresql:postgresql:8.4.17:*:*:*:*:*:*:*
  Yes
- -